Bug 888035 - Candlepin certv3 messaging should give users more options than just upgrading
Candlepin certv3 messaging should give users more options than just upgrading
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michael Stead
Katello QA List
:
Depends On:
Blocks: rhsm-rhel65 rhsm-rhel70
  Show dependency treegraph
 
Reported: 2012-12-17 16:01 EST by Amanda Carter
Modified: 2015-05-14 10:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 08:46:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 129003 None None None Never

  None (edit)
Description Amanda Carter 2012-12-17 16:01:25 EST
Description of problem:

Candlepin will be released with the following messaging for users trying to use certs that are too large:

 * If cert v3 is enabled on the server and older client tries: "Too many content sets for certificate. Please upgrade " + "to a newer client to use subscription: {0}
 * If cert v3 is disabled on the server: "The support of V3 certificates is not enabled on the " + "server and is required for large content set " + "subscription: {0}"

Since the 5 stream and 6 stream are released separately, we'll be giving customers inaccurate instructions if we always tell them to upgrade until the next minor version of 6 comes out. We should update the first message above to be something like: 
 * Too many content sets for certificate. A newer client may be available to address this problem. See kbase xxx.com for more information.
Comment 2 Michael Stead 2012-12-19 14:27:40 EST
https://github.com/candlepin/candlepin/pull/143
Comment 5 John Sefler 2013-04-23 17:45:44 EDT
Verifying RHEL63 z-stream Version (when registering to production candlepin where V3 certificate support is currently enabled)...

[root@rhsm-compat-rhel63 ~]# rpm -q subscription-manager
subscription-manager-0.99.19.4-1.el6_3.x86_64

[root@rhsm-compat-rhel63 ~]# subscription-manager config --server.hostname=subscription.rhn.redhat.com
[root@rhsm-compat-rhel63 ~]# subscription-manager config --server.prefix=/subscription
[root@rhsm-compat-rhel63 ~]# subscription-manager config --server.port=443

[root@rhsm-compat-rhel63 ~]# subscription-manager register --username rhn-cservice-acarter
Password: 
The system has been registered with id: 156ba54d-f4de-4633-bda6-ef1f5bfa8fc5 
[root@rhsm-compat-rhel63 ~]# subscription-manager list --avail | grep "Red Hat Employee Subscription" -A9
Product Name:         	Red Hat Employee Subscription
Product Id:           	ES0113909                
Pool Id:              	8a85f9823e380572013e386863b70462
Quantity:             	24                       
Service Level:        	Self-support             
Service Type:        	L1-L3                    
Multi-Entitlement:    	No                       
Expires:              	04/22/2014               
Machine Type:         	physical                 

Product Name:         	Red Hat Employee Subscription
Product Id:           	ES0113909                
Pool Id:              	8a85f9823e380572013e386863fd04af
Quantity:             	unlimited                
Service Level:        	Self-support             
Service Type:        	L1-L3                    
Multi-Entitlement:    	No                       
Expires:              	04/22/2014               
Machine Type:         	virtual                  

--
Product Name:         	Red Hat Employee Subscription
Product Id:           	SYS0395                  
Pool Id:              	8a85f9843affb61f013b19c64b995c46
Quantity:             	24234                    
Service Level:        	None                     
Service Type:        	None                     
Multi-Entitlement:    	No                       
Expires:              	01/01/2022               
Machine Type:         	physical                 

Product Name:         	Red Hat Employee Subscription
Product Id:           	SYS0395                  
Pool Id:              	8a85f9843affb61f013b19c64bab5c5b
Quantity:             	unlimited                
Service Level:        	None                     
Service Type:        	None                     
Multi-Entitlement:    	No                       
Expires:              	01/01/2022               
Machine Type:         	virtual                  

[root@rhsm-compat-rhel63 ~]# subscription-manager subscribe --pool 8a85f9823e380572013e386863fd04af
Too many content sets for certificate Red Hat Employee Subscription. A newer client may be available to address this problem. See kbase https://access.redhat.com/knowledge/node/129003 for more information.
[root@rhsm-compat-rhel63 ~]# 


VERIFIED: This older version of subscription-manager which does not support V3 certificates is blocked from subscribing and a message telling the user with the options available to them is presented.

https://access.redhat.com/site/node/129003
subscription-manager: Why am I unable to download some content (like FasTrack) or getting 'too many content sets for certificate' error?


Upgrading to a newer client (soon to be release as part of the 2013 Pricing Model Update)...

[root@rhsm-compat-rhel63 ~]# rpm -Uvh http://download.devel.redhat.com/brewroot/packages/subscription-manager/1.8.6/1.el6/x86_64/subscription-manager-1.8.6-1.el6.x86_64.rpm http://download.devel.redhat.com/brewroot/packages/subscription-manager/1.8.6/1.el6/x86_64/subscription-manager-gui-1.8.6-1.el6.x86_64.rpm http://download.devel.redhat.com/brewroot/packages/python-rhsm/1.8.9/1.el6/x86_64/python-rhsm-1.8.9-1.el6.x86_64.rpm
Retrieving http://download.devel.redhat.com/brewroot/packages/subscription-manager/1.8.6/1.el6/x86_64/subscription-manager-1.8.6-1.el6.x86_64.rpm
Retrieving http://download.devel.redhat.com/brewroot/packages/subscription-manager/1.8.6/1.el6/x86_64/subscription-manager-gui-1.8.6-1.el6.x86_64.rpm
Retrieving http://download.devel.redhat.com/brewroot/packages/python-rhsm/1.8.9/1.el6/x86_64/python-rhsm-1.8.9-1.el6.x86_64.rpm
Preparing...                ########################################### [100%]
   1:python-rhsm            ########################################### [ 33%]
   2:subscription-manager   ########################################### [ 67%]
   3:subscription-manager-gu########################################### [100%]
[root@rhsm-compat-rhel63 ~]# 
[root@rhsm-compat-rhel63 ~]# subscription-manager subscribe --pool 8a85f9823e380572013e386863fd04af
Successfully attached a subscription for: Red Hat Employee Subscription
[root@rhsm-compat-rhel63 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+

Subscription Name: Red Hat Employee Subscription
Provides:          Kernel Derivative Works for HPC for Power Systems
                   Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support
                   JBoss Enterprise Web Platform
                   Red Hat Storage Software Appliance
                   Red Hat Enterprise Linux Workstation
                   Red Hat Storage Management Console (for RHEL Server)
                   Red Hat Enterprise Linux for IBM POWER - Extended Update Support
                   MRG Grid from RHUI
                   Red Hat Developer Toolset (for RHEL Client)
                   Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER) - Extended Update Support
                   Red Hat Beta
                   Red Hat Enterprise Identity Replication
                   Red Hat OpenStack
                   Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                   Red Hat Developer Toolset (for RHEL for IBM POWER)
                   Red Hat S-JIS Support (for RHEL Server)
                   Red Hat Enterprise Virtualization
                   Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node)
                   JBoss Enterprise Application Platform
                   Red Hat Enterprise Linux Server - Extended Update Support
                   Red Hat Developer Toolset (for RHEL HPC Node)
                   Red Hat Enterprise Linux Server
                   Red Hat Enterprise Linux for IBM POWER
                   Red Hat Enterprise Linux High Performance Networking (for RHEL for IBM POWER)
                   Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
                   Red Hat Software Test Suite 5 (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Server HTB
                   Red Hat Enterprise Linux Scalable File System (for RHEL Workstation)
                   JBoss Enterprise Application Platform - ELS
                   Red Hat Developer Toolset (for RHEL for IBM POWER) - Extended Update Support
                   Red Hat Developer Toolset (for RHEL Server EUS)
                   Red Hat Enterprise Linux Desktop
                   Red Hat Storage Server for On-premise
                   Red Hat Update Infrastructure
                   Red Hat Enterprise Linux for IBM System z - Extended Update Support
                   Red Hat EUCJP Support (for RHEL Server) - Extended Update Support
                   MRG Realtime
                   Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
                   Red Hat Developer Toolset (for RHEL Server)
                   Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
                   Red Hat OpenShift Enterprise Infrastructure
                   Red Hat Enterprise Linux for Web Servers
                   Red Hat Software Test Suite 5 (for RHEL Server)
                   Red Hat Enterprise Linux High Availability (for RHEL Server)
                   Red Hat OpenShift Enterprise Client Tools
                   JBoss Enterprise Web Server
                   Red Hat Developer Toolset (for RHEL Workstation)
                   Red Hat Enterprise Linux for SAP
                   Red Hat Enterprise Linux for IBM System z
                   Red Hat EUCJP Support (for RHEL Server)
                   Red Hat Storage
                   Red Hat Enterprise Linux Server from RHUI
                   Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
                   Red Hat OpenShift Enterprise Application Node
                   Red Hat Enterprise Linux Scalable File System (for RHEL Server)
                   Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Scalable File System (for RHEL Compute Node)
                   Red Hat Enterprise Linux Workstation HTB
                   Red Hat Enterprise Linux for Scientific Computing
                   Red Hat S-JIS Support (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
                   Kernel Derivative Works for Bluegene/Q
SKU:               ES0113909
Contract:          10168569
Account:           540155
Serial Number:     1039415524289790252
Pool ID:           Not Available
Active:            True
Quantity Used:     1
Service Level:     Self-support
Service Type:      L1-L3
Starts:            04/23/2013
Ends:              04/22/2014

[root@rhsm-compat-rhel63 ~]# subscription-manager repos --list | grep "Repo Name" | wc -l
232
[root@rhsm-compat-rhel63 ~]# 

VERIFIED: After upgrading the client's version of subscription-manager as suggested to me by the candlepin server, the offending subscription can be successfully attached and it provides a large number of content sets (232 which is > 185) which are applicable to my system's arch and release.

Note You need to log in before you can comment on or make changes to this bug.